// +build !generate

package hit

import errortrace "github.com/Eun/go-hit/errortrace"

// ⚠️⚠️⚠️ This file was autogenerated by generators/clear/clear ⚠️⚠️⚠️ //

// IClearExpectHeaders provides methods to clear steps.
type IClearExpectHeaders interface {
	IStep
	// Contains clears all matching Contains steps
	Contains(value ...interface{}) IStep
	// Empty clears all matching Empty steps
	Empty() IStep
	// Equal clears all matching Equal steps
	Equal(value ...interface{}) IStep
	// Len clears all matching Len steps
	Len() IClearExpectInt
	// NotContains clears all matching NotContains steps
	NotContains(value ...interface{}) IStep
	// NotEmpty clears all matching NotEmpty steps
	NotEmpty() IStep
	// NotEqual clears all matching NotEqual steps
	NotEqual(value ...interface{}) IStep
	// NotOneOf clears all matching NotOneOf steps
	NotOneOf(value ...interface{}) IStep
	// OneOf clears all matching OneOf steps
	OneOf(value ...interface{}) IStep
}
type clearExpectHeaders struct {
	cp callPath
	tr *errortrace.ErrorTrace
}

func newClearExpectHeaders(cp callPath) IClearExpectHeaders {
	return &clearExpectHeaders{cp: cp, tr: ett.Prepare()}
}
func (v *clearExpectHeaders) trace() *errortrace.ErrorTrace {
	return v.tr
}
func (*clearExpectHeaders) when() StepTime {
	return CleanStep
}
func (v *clearExpectHeaders) callPath() callPath {
	return v.cp
}
func (v *clearExpectHeaders) exec(hit *hitImpl) error {
	if err := removeSteps(hit, v.callPath()); err != nil {
		return err
	}
	return nil
}
func (v *clearExpectHeaders) Contains(value ...interface{}) IStep {
	return removeStep(v.callPath().Push("Contains", value))
}
func (v *clearExpectHeaders) Empty() IStep {
	return removeStep(v.callPath().Push("Empty", nil))
}
func (v *clearExpectHeaders) Equal(value ...interface{}) IStep {
	return removeStep(v.callPath().Push("Equal", value))
}
func (v *clearExpectHeaders) Len() IClearExpectInt {
	return newClearExpectInt(v.callPath().Push("Len", nil))
}
func (v *clearExpectHeaders) NotContains(value ...interface{}) IStep {
	return removeStep(v.callPath().Push("NotContains", value))
}
func (v *clearExpectHeaders) NotEmpty() IStep {
	return removeStep(v.callPath().Push("NotEmpty", nil))
}
func (v *clearExpectHeaders) NotEqual(value ...interface{}) IStep {
	return removeStep(v.callPath().Push("NotEqual", value))
}
func (v *clearExpectHeaders) NotOneOf(value ...interface{}) IStep {
	return removeStep(v.callPath().Push("NotOneOf", value))
}
func (v *clearExpectHeaders) OneOf(value ...interface{}) IStep {
	return removeStep(v.callPath().Push("OneOf", value))
}
